package thyyxxk.webserver.entity.markmtfees;

import lombok.Data;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.Date;

@Data
public class MzDepositFile {
    private String patNo;
    private Integer times;
    private Integer receiptNo;
    private Date chargeDate;
    private BigDecimal chargeFee;
    private Integer status;
    private Integer zgmztczf;
    private String message;

    public BigDecimal getChargeFee() {
        if (null == chargeFee) {
            return BigDecimal.ZERO;
        }
        return chargeFee.setScale(2, RoundingMode.HALF_UP);
    }

    public Integer getStatus() {
        return null == status ? 0 : status;
    }
}
